summaryrefslogtreecommitdiffstats
path: root/jjb/vpp/include-raw-vpp-csit-functional.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/vpp/include-raw-vpp-csit-functional.sh')
-rw-r--r--jjb/vpp/include-raw-vpp-csit-functional.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/jjb/vpp/include-raw-vpp-csit-functional.sh b/jjb/vpp/include-raw-vpp-csit-functional.sh
new file mode 100644
index 000000000..e0767c644
--- /dev/null
+++ b/jjb/vpp/include-raw-vpp-csit-functional.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+cp build-root/*.deb csit/
+cd csit
+# execute csit bootstrap script if it exists
+if [ -e bootstrap.sh ]
+then
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap.sh
+ # run the script
+ ./bootstrap.sh *.deb
+else
+ echo 'ERROR: No bootstrap.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :